*****************************************************************************
*   Program:  CLIPSNUM.PRG                                                  *
*    Author:  Joseph D. Booth                                               *
*   Purpose:  Xbase++ code for Lotus short numbers                          *
*****************************************************************************
STATIC aTable := { 5000, 500, .05, .005, .0005, .00005, .0625, .015625 }

//
//   Function:  L_Snum()
//    Purpose:  Convert a Lotus short number string to a numeric value
//
//////////////////////
FUNCTION L_Snum( cStr )
   LOCAL x, y, z

   IF ! bit( cStr, 8 )                 // Bit 8 determines how number is stored
      x := Bin2I( cStr ) / 2
   ELSE
      y := IF( bit( cStr, 7 ), 1, 0 ) + ;
           IF( bit( cStr, 6 ), 2, 0 ) + ;
           IF( bit( cStr, 5 ), 4, 0 )
      z := aTable[ y + 1 ]
      x := z * Int( Bin2I( cStr ) / 16 )
   ENDIF
   RETURN x
