#include 'minigui.ch'

Function Main()
   AbroBase()
// LOAD WINDOW demo
   DEFINE WINDOW demo AT 168 , 217 WIDTH 592 HEIGHT 398 TITLE "QAC - CipWks Sample" ICON NIL MAIN CURSOR NIL ON INIT DemoInit() ON RELEASE NIL ON INTERACTIVECLOSE NIL ON MOUSECLICK NIL ON MOUSEDRAG NIL ON MOUSEMOVE NIL ON SIZE NIL ON MAXIMIZE NIL ON MINIMIZE NIL ON PAINT NIL BACKCOLOR NIL NOTIFYICON NIL NOTIFYTOOLTIP NIL ON NOTIFYCLICK NIL ON GOTFOCUS NIL ON LOSTFOCUS NIL ON SCROLLUP NIL ON SCROLLDOWN NIL ON SCROLLLEFT NIL ON SCROLLRIGHT NIL ON HSCROLLBOX NIL ON VSCROLLBOX NIL

       DEFINE BUTTON Button_1
              ROW    27
              COL    31
              WIDTH  271
              HEIGHT 27
              CAPTION "Export Browse to Demo.xls"
              ACTION   Exportar()
              FONTNAME  "Arial"
              FONTSIZE  9
              TOOLTIP  ""
              FONTBOLD  .F.
              FONTITALIC .F.
              FONTUNDERLINE .F.
              FONTSTRIKEOUT .F.
              ONGOTFOCUS  NIL
              ONLOSTFOCUS NIL
              HELPID  NIL
              FLAT    .F.
              TABSTOP .T.
              VISIBLE .T.
              TRANSPARENT .F.
        END BUTTON

        DEFINE BROWSE B_Browse
               ROW    84
               COL    32
               WIDTH  514
               HEIGHT 251
               VALUE 0
               WIDTHS { 150 , 350 }
               HEADERS { "COL_COD" , "COL_IDENT" }
               WORKAREA demo
               FIELDS { "COL_COD" , "COL_IDENT" }
               FONTNAME "Arial"
               FONTSIZE 9
        END BROWSE

       DEFINE BUTTON B_View
              ROW    8
              COL    430
              WIDTH  118
              HEIGHT 28
              CAPTION "View Demo.xls"
              ACTION   XLS_View()
              FONTNAME  "Arial"
              FONTSIZE  9
              TOOLTIP  ""
              FONTBOLD  .F.
              FONTITALIC .F.
              FONTUNDERLINE .F.
              FONTSTRIKEOUT .F.
              ONGOTFOCUS  NIL
              ONLOSTFOCUS NIL
              HELPID  NIL
              FLAT    .F.
              TABSTOP .T.
              VISIBLE .T.
              TRANSPARENT .F.
        END BUTTON

       DEFINE BUTTON B_Delete
              ROW    55
              COL    429
              WIDTH  118
              HEIGHT 19
              CAPTION "Delete Demo.xls"
              ACTION   XLS_Delete()
              FONTNAME  "Arial"
              FONTSIZE  9
              TOOLTIP  ""
              FONTBOLD  .F.
              FONTITALIC .F.
              FONTUNDERLINE .F.
              FONTSTRIKEOUT .F.
              ONGOTFOCUS  NIL
              ONLOSTFOCUS NIL
              HELPID  NIL
              FLAT    .F.
              TABSTOP .T.
              VISIBLE .T.
              TRANSPARENT .F.
        END BUTTON
   END WINDOW
   CENTER WINDOW demo
   ACTIVATE WINDOW demo
   CierroBase()
Return .T.

Function AbroBase()
   DBUseArea( .T. , , "demo.dbf" , "demo" )
Return .T.

Function CierroBase()
   DbCloseArea( "demo" )
Return .T.

Function Exportar()
   Local nReto
   * Function:   Lexport()
   * Purpose:    To export a .DBF file to a spreadsheet
   * Syntax:     Lexport( cSpreadsheet,aFld_exp,aHdg_exp,cRecords,cVersion )
   * Arguments:  cSpreadsheet - name of the spreadsheet to create
   *             aFld_exp     - array of fields to export
   *             aHdg_exp     - array of heading expressions
   *             cRecords     - which records to write to spreadsheet
   *             cVersion     - type of spreadsheet to produce
   ferase( "demo.xls" )
   if ( nReto := Lexport( "demo.xls" , { "COL_COD" , "COL_IDENT" } , .F. , "ALL" , "QP" ) ) < 0
      msgstop( "Error in export to 'demo.xls'.  Code: " + alltrim( str( nReto ) ) )
   else
      msginfo( "Export to 'demo.xls' OK" )
      SetProperty( "demo" , "B_View" , "enabled" , .T. )
      SetProperty( "demo" , "B_Delete" , "enabled" , .T. )
   endif
Return

Function DemoInit()
   XLS_Delete()
Return

Function XLS_View()
// EXECUTE FILE "demo.xls" WAIT MAXIMIZE
   ShellExecute(0, "open", "demo.xls", , ,1)
Return

Function XLS_Delete()
   SetProperty( "demo" , "B_View" , "enabled" , .F. )
   SetProperty( "demo" , "B_Delete" , "enabled" , .F. )
   ferase( "demo.xls" )
Return
